Bug 178182 - BUG: soft lockup detected on CPU#0!
BUG: soft lockup detected on CPU#0!
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 07:19 EST by Neal Becker
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 14:21:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-01-18 07:19:59 EST
Description of problem: 
2.6.15-1.1858_FC5 x86_64 
 
Attempt to suspend 
Jan 17 21:12:29 localhost kernel: Stopping tasks: 
===================================================================== 
================================| 
Jan 17 21:12:29 localhost kernel: ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 
19 (level, low) -> IRQ 233 
Jan 17 21:12:29 localhost kernel: ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 
19 (level, low) -> IRQ 233 
Jan 17 21:12:29 localhost kernel: BUG: soft lockup detected on CPU#0! 
Jan 17 21:12:29 localhost kernel: CPU 0: 
Jan 17 21:12:29 localhost openvpn[2882]: event_wait : Interrupted system call 
(code=4) 
Jan 17 21:12:29 localhost openvpn[2882]: [nbecker] Inactivity timeout 
(--ping-restart), restarting 
Jan 17 21:12:29 localhost kernel: Modules linked in: appletalk ipx p8023 tun 
udf radeon drm ppdev autofs4 i2c_dev i2c_c 
ore rfcomm l2cap bluetooth sunrpc video battery ac ipv6 lp parport_pc parport 
nvram ohci_hcd ohci1394 ieee1394 ehci_hcd 
 8139cp 8139too mii ieee80211softmac ieee80211 ieee80211_crypt 
snd_atiixp_modem snd_atiixp snd_ac97_codec snd_ac97_bus 
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device 
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd sou 
ndcore snd_page_alloc dm_snapshot dm_zero dm_mirror dm_mod ext3 jbd 
Jan 17 21:12:29 localhost openvpn[2882]: TCP/UDP: Closing socket 
Jan 17 21:12:29 localhost kernel: Pid: 0, comm: swapper Tainted: P      
2.6.15-1.1858_FC5 #1 
Jan 17 21:12:29 localhost openvpn[2882]: SIGUSR1[soft,ping-restart] received, 
process restarting 
Jan 17 21:12:29 localhost kernel: RIP: 0010:[<ffffffff80247ac5>] 
<ffffffff80247ac5>{acpi_processor_idle+500} 
Jan 17 21:12:29 localhost openvpn[2882]: Restart pause, 2 second(s) 
Jan 17 21:12:29 localhost kernel: RSP: 0018:ffffffff80545f60  EFLAGS: 00000246 
Jan 17 21:12:29 localhost kernel: RAX: ffffffff80545fd8 RBX: ffffffff802478d1 
RCX: 00000000dda629fd 
Jan 17 21:12:29 localhost kernel: RDX: 0000000000008008 RSI: 00000000dda62cf5 
RDI: ffffffff8053ca40 
Jan 17 21:12:29 localhost kernel: RBP: 000000000008e000 R08: ffffffff8053ca68 
R09: 0000000000000004 
Jan 17 21:12:29 localhost kernel: R10: 0000000000000001 R11: 0000000000000004 
R12: ffff81003f9d9640 
Jan 17 21:12:29 localhost kernel: R13: ffff81003f9d9550 R14: 0000000000000000 
R15: 0000000000000000 
Jan 17 21:12:29 localhost kernel: FS:  00002aaaaaad9d30(0000) 
GS:ffffffff8051a000(0000) knlGS:0000000000000000 
Jan 17 21:12:29 localhost kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 
000000008005003b 
Jan 17 21:12:29 localhost kernel: CR2: 00002aaaade72000 CR3: 0000000018d2f000 
CR4: 00000000000006e0 
Jan 17 21:12:29 localhost kernel: 
Jan 17 21:12:30 localhost kernel: Call Trace: 
<ffffffff802478d1>{acpi_processor_idle+0} 
Jan 17 21:12:30 localhost kernel:        
<ffffffff802478d1>{acpi_processor_idle+0} <ffffffff8010ea94>{cpu_idle+151} 
Jan 17 21:12:30 localhost kernel:        <ffffffff8054677d>{start_kernel+470} 
<ffffffff80546298>{_sinittext+664} 
Jan 17 21:12:30 localhost kernel: ACPI: PCI Interrupt 0000:00:13.2[A] -> GSI 
19 (level, low) -> IRQ 233 
Jan 17 21:12:30 localhost kernel: ACPI: PCI Interrupt 0000:00:14.1[A] -> GSI 
16 (level, low) -> IRQ 217 
Jan 17 21:12:30 localhost kernel: ACPI: PCI Interrupt 0000:00:14.5[B] -> GSI 
17 (level, low) -> IRQ 209 
Jan 17 21:12:30 localhost kernel: atiixp: codec reset timeout 
Jan 17 21:12:30 localhost kernel: ACPI: PCI Interrupt 0000:00:14.6[B] -> GSI 
17 (level, low) -> IRQ 209 
Jan 17 21:12:30 localhost kernel: ACPI: PCI Interrupt 0000:06:04.0[A] -> GSI 
20 (level, low) -> IRQ 185 
Jan 17 21:12:30 localhost kernel: ACPI: PCI Interrupt 0000:06:04.2[C] -> GSI 
23 (level, low) -> IRQ 50 
Jan 17 21:12:30 localhost kernel: eth0: link up, 100Mbps, full-duplex, lpa 
0x45E1 
Jan 17 21:12:30 localhost kernel: pnp: Device 00:06 does not supported 
activation. 
Jan 17 21:12:30 localhost kernel: pnp: Device 00:07 does not supported 
activation. 
Jan 17 21:12:30 localhost kernel:     ACPI-0265: *** Error: No installed 
handler for fixed event [00000002] 
Jan 17 21:12:30 localhost kernel: Restarting tasks...VFS: busy inodes on 
changed media. 
J 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Don't know 
 
Steps to Reproduce: 
1. pm-suspend 
2. 
3. 
   
Actual results: 
 
 
Expected results: 
 
 
Additional info:
Comment 1 Dave Jones 2006-01-19 01:45:21 EST
which binary module had you loaded ?  Can you repeat it without it ?
Comment 2 Neal Becker 2006-01-19 06:37:37 EST
Doesn't it list the  modules in the kernel message?  Anyway here is the output 
of lsmod: 
Module                  Size  Used by 
udf                   110665  1 
radeon                140897  0 
drm                   119785  1 radeon 
ppdev                  42569  0 
autofs4                55369  1 
i2c_dev                44233  0 
i2c_core               57025  1 i2c_dev 
rfcomm                104673  0 
l2cap                  91841  5 rfcomm 
bluetooth             117061  2 rfcomm,l2cap 
sunrpc                191497  1 
video                  50633  0 
button                 40673  0 
battery                43465  0 
ac                     38601  0 
ipv6                  400481  16 
lp                     47761  0 
parport_pc             62953  0 
parport                74189  3 ppdev,lp,parport_pc 
nvram                  42697  0 
ohci1394               68121  0 
ehci_hcd               66253  0 
ohci_hcd               55005  0 
ieee1394              392025  1 ohci1394 
snd_atiixp_modem       50893  0 
8139cp                 57025  0 
8139too                61377  0 
mii                    38977  2 8139cp,8139too 
snd_atiixp             55389  0 
snd_ac97_codec        135961  2 snd_atiixp_modem,snd_atiixp 
snd_ac97_bus           35905  1 snd_ac97_codec 
ieee80211softmac       63937  0 
ieee80211              64393  1 ieee80211softmac 
ieee80211_crypt        40001  1 ieee80211 
snd_seq_dummy          37189  0 
snd_seq_oss            66241  0 
snd_seq_midi_event     41153  1 snd_seq_oss 
snd_seq                89953  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event 
snd_seq_device         42961  3 snd_seq_dummy,snd_seq_oss,snd_seq 
snd_pcm_oss            85585  0 
snd_mixer_oss          51009  1 snd_pcm_oss 
snd_pcm               126537  4 
snd_atiixp_modem,snd_atiixp,snd_ac97_codec,snd_pcm_oss 
snd_timer              59593  2 snd_seq,snd_pcm 
snd                    97257  10 
snd_atiixp_modem,snd_atiixp,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer 
soundcore              44257  1 snd 
snd_page_alloc         44624  3 snd_atiixp_modem,snd_atiixp,snd_pcm 
dm_snapshot            48657  0 
dm_zero                35265  0 
dm_mirror              54593  0 
dm_mod                 89361  6 dm_snapshot,dm_zero,dm_mirror 
ext3                  164049  2 
jbd                    93801  1 ext3 
 
No closed-source mods are loaded.  driverloader (linuxant) would have been 
loaded, but it doesn't currently build on this kernel, because of missing 
symbols: 
Jan 19 06:28:32 localhost kernel: driverloader: Unknown symbol 
usb_register_driver 
Jan 19 06:28:32 localhost kernel: driverloader: Unknown symbol usb_deregister 
 
Comment 3 Dave Jones 2006-01-24 00:25:12 EST
It does list the modules loaded, which are all gpl, but there's also this..

Tainted: P      

which didn't add up.

Can you repeat this with current builds, without ever having loaded anything
that taints the kernel ?
 
Comment 4 Neal Becker 2006-01-24 07:09:40 EST
I believe it marks the kernel tainted before actually loading the driver - the 
load failed. 
 
Anyway, I have removed linuxant driverloader and switched to ndiswrapper. 
I haven't reproduced this problem using the current kernel 2.6.15-1.1869_FC5  
Comment 5 Dave Jones 2006-01-24 14:21:11 EST
ok. if it happens again, be aware that the ndiswrapper module is equally as
unsupportable, and unless you can reproduce without it, there's nothing that I
can do.

I'll close this for now. Reopen if it reoccurs with an untainted kernel.

Note You need to log in before you can comment on or make changes to this bug.